%define pango_version 1.2.0
%define gtk2_version 2.6.0
%define gconf2_version 2.9.2
%define libgnomeui_version 2.6.0
%define desktop_file_utils_version 0.2.90
%define perl_XML_Parser_version 2.31-16

Summary: Editor/admin tool for GConf
Name: gconf-editor
Version: 2.14.0
Release: 1.fc5
URL: http://www.gnome.org
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root

Prereq: GConf2 >= %{gconf2_version}
PreReq: gtk2 >= %{gtk2_version}

BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: scrollkeeper

Patch0: gconf-editor-2.14.0-use-correct-free.patch

%description
gconf-editor allows you to browse and modify GConf configuration 
sources.

%prep
%setup -q
%patch0 -p1 -b .use-correct-free

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gconf-editor.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gconf-editor.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_datadir}/icons
%{_datadir}/pixmaps/gconf-editor
%{_datadir}/applications/*.desktop
%{_datadir}/man/man*/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/gnome/help/gconf-editor
%{_datadir}/omf/gconf-editor

%changelog
* Tue Mar 28 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-1.fc5
- Use gconf_value_free instead of g_free (bug 186479)

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> 2.13.90-1
- Update to 2.13.90

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com> 2.12.1-1
- Update to 2.12.1

* Wed Oct 12 2005 Ray Strode <rstrode@redhat.com> 2.12.0-2
- uninstall schemas when removing rpm

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> 2.12.0-1
- Update to 2.12.0

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 2.10.0-5
- fix the %%post to install the gconf schema correctly too (#152238)

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 2.10.0-4
- silence %%post

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Fri Mar 25 2005 Christopher Aillon <caillon@redhat.com> 2.10.0-2
- Update the GTK+ theme icon cache on (un)install

* Thu Mar 17 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-1
- Update to upstream version 2.10.0

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 2.9.91-2
- Rebuild with gcc4

* Fri Feb 11 2005 Matthias Clasen <mclasen@redhat.com> 2.9.91-1
- Update to 2.9.91

* Fri Jan 28 2005 Matthias Clasen <mclasen@redhat.com> 2.9.3-1
- Update to 2.9.3

* Tue Oct 12 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-2
- Add patch to fix warnings on startup (#132164)
- Add BuildRequies: scrollkeeper

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91-1
- Update to 2.7.91

* Tue Aug  3 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90
- Install schemas, require libgnomeui and package help docs

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jun  4 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0-2
- Add BuildRequires: perl-XML-Parser (bug #124168)

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0-1
- Update to 2.6.0

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 2.5.91-1
- Update to 2.5.91

* Tue Feb 24 2004 Mark McLoughlin <markmc@redhat.com> 2.5.4-1
- Update to 2.5.4
- Remove extraneous fontconfig BuildRequires
- Package manpages

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 2.4.0-1
- 2.4.0

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 2.3.6-1
- update for gnome 2.3

* Wed Jul 30 2003 Havoc Pennington <hp@redhat.com> 0.5.0-2
- rebuild

* Tue Jul  8 2003 Havoc Pennington <hp@redhat.com> 0.5.0-1
- 0.5.0

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 0.4.0-3
- nuke buildreq Xft

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 12 2003 Havoc Pennington <hp@redhat.com>
- 0.4

* Mon Dec  9 2002 Havoc Pennington <hp@redhat.com>
- 0.3.1

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 0.3

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- require gconf 1.2.0, rebuild with that
- use desktop-file-install for .desktop file
- include .desktop file and pixmaps in file list

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun 04 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 0.2

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libs

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Apr 17 2002 Havoc Pennington <hp@redhat.com>
- Initial build.

